alter table eventhub.event
    add column if not exists source_package_id text;

create index if not exists idx_event_source_package_id
    on eventhub.event(source_package_id)
    where source_package_id is not null;
